io.vertx.rxjava3.ext.web.validation.builder

## Class TupleParserFactory

- java.lang.Object
- - io.vertx.rxjava3.ext.web.validation.builder.TupleParserFactory

-     public class TupleParserFactory
      extends Object

  This interface is used to create able to parse serialized object structures.
  Look at `Parsers` for all available factories

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<TupleParserFactory>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TupleParserFactory(Object delegate)`
    `TupleParserFactory(TupleParserFactory delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `TupleParserFactory` | `getDelegate()`
    `int` | `hashCode()`
    `static TupleParserFactory` | `newInstance(TupleParserFactory arg)`
    `io.vertx.ext.web.validation.impl.parser.ValueParser<String>` | `newTupleParser(List<io.vertx.ext.web.validation.impl.parser.ValueParser<String>> itemsParser, io.vertx.ext.web.validation.impl.parser.ValueParser<String> additionalItemsParser)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<TupleParserFactory> __TYPE_ARG

  - ### Constructor Detail

    - #### TupleParserFactory

          public TupleParserFactory(TupleParserFactory delegate)

    - #### TupleParserFactory

          public TupleParserFactory(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public TupleParserFactory getDelegate()

    - #### newTupleParser

          public io.vertx.ext.web.validation.impl.parser.ValueParser<String> newTupleParser(List<io.vertx.ext.web.validation.impl.parser.ValueParser<String>> itemsParser,
                                                                                            io.vertx.ext.web.validation.impl.parser.ValueParser<String> additionalItemsParser)

    - #### newInstance

          public static TupleParserFactory newInstance(TupleParserFactory arg)

Copyright © 2022 Eclipse. All rights reserved.